Page MenuHomePhabricator

Run clearTermSqlIndexSearchFields on Wikidata
Closed, DeclinedPublic

Description

See T188993#4052708


mwscript extensions/Wikibase/repo/maintance/clearTermSqlIndexSearchFields.php --wiki=wikidatawiki --batch-size=TODO --sleep=TODO --skip-term-weight

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 15 2018, 1:18 PM

rebuildTermSqlIndex.php is probably a lot more expensive than we need – to clear the term_search_key and term_weight columns, we shouldn’t need to load and parse entities. So perhaps some new, small maintenance script that just writes empty values to that column would be better.

rebuildTermSqlIndex.php is probably a lot more expensive than we need – to clear the term_search_key and term_weight columns, we shouldn’t need to load and parse entities. So perhaps some new, small maintenance script that just writes empty values to that column would be better.

hmm, I think we might get away with adding a new parameter to the maintenance script. It makes the work less duplicated, what do you think?

I’m not sure… to clear term_search_key and term_weight, I think it would make sense to iterate over the term_row_id, right? Whereas I assume rebuildTermSqlIndex iterates over entity IDs and then sets all term rows for that entity ID.

Lucas_Werkmeister_WMDE renamed this task from Run rebuildTermSqlIndex on Wikidata again to Run clearTermSqlIndexSearchFields on Wikidata.Apr 16 2018, 11:53 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Change 427202 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/puppet@production] mediawiki: Add clearTermSqlIndexSearchFields for wikidata

https://gerrit.wikimedia.org/r/427202

Change 427202 merged by Jcrespo:
[operations/puppet@production] mediawiki: Add clearTermSqlIndexSearchFields for wikidata

https://gerrit.wikimedia.org/r/427202

Lucas_Werkmeister_WMDE closed this task as Declined.Jun 5 2018, 1:19 PM

We’re working on a replacement for wb_terms and don’t want to risk touching it anymore in the meantime.